"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (db) => (schemaName, tableName) => __awaiter(this, void 0, void 0, function* () {
    const info = yield db.query(`select * from information_schema.columns where table_schema = ? and table_name = ?`, [schemaName, tableName]);
    const columns = {};
    for (const col of info) {
        columns[col.COLUMN_NAME] = { type: col.DATA_TYPE, isNullable: col.IS_NULLABLE === "yes" ? true : false };
    }
    return columns;
});
