"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const program = require("commander");
const DB_1 = require("./lib/DB");
const HttpProxy_1 = require("./lib/HttpProxy");
program
    .option("-a, --address <n>", "http address")
    .option("-p, --port <n>", "Mysql port")
    .option("-h, --host <n>", "Mysql host")
    .option("-w, --password <n>", "Mysql password")
    .option("-u, --user <n>", "Mysql user")
    .option("-l, --logging <n>", "Mysql logging")
    .parse(process.argv);
const config = {
    host: program.host || process.env.MYSQL_HOST || "127.0.0.1",
    port: program.port || process.env.MYSQL_PORT || 3306,
    user: program.user || process.env.MYSQL_USER || "root",
    password: program.password || process.env.MYSQL_PASSWORD || "",
    logging: program.logging || process.env.LOGGING || false,
};
const db = new DB_1.default(config);
const port = program.address || process.env.ADDRESS || 7001;
const proxy = new HttpProxy_1.default(db, { port });
proxy.start().then(() => {
    // tslint:disable-next-line:no-console
    console.log("Started successfully with config ", config, "at port", port);
});
